## inetutils 2.0

=== debian/changelog ===
inetutils (2:2.0-1+deb11u2) bullseye; urgency=medium

  * Add patch from upstream to check return values for set*id() functions.
    Fixes CVE-2023-40303. (Closes: #1049365)

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Aug 2023 12:05:48 +0200

inetutils (2:2.0-1+deb11u1) bullseye; urgency=medium

  * telnet: Add checks for option reply parsing limits causing buffer
    overflow induced crashes due to long option values.
    Fixes CVE-2019-0053. Closes: #945861
  * Add patch from upstream to fix infinite loop causing a stack exhaustion
    induced crash in telnet client due to malicious server commands.
    Closes: #945861
  * Fix inetutils-ftp security bug trusting FTP PASV responses.
    Fixes CVE-2021-40491. Closes: #993476
  * Fix remote DoS vulnerability in inetutils-telnetd, caused by a crash by
    a NULL pointer dereference when sending the byte sequences «0xff 0xf7»
    or «0xff 0xf8». Found by Pierre Kim and Alexandre Torres. Patch
    adapted by Erik Auerswald <auerswal@unix-ag.uni-kl.de>.
    Fixes CVE-2022-39028.

 -- Guillem Jover <guillem@debian.org>  Tue, 30 Aug 2022 13:34:41 +0200

inetutils (2:2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <guillem@debian.org>  Fri, 05 Feb 2021 23:14:20 +0100

inetutils (2:1.9.4.91-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches merged upstream.
    - Switch syslog.conf from a patch to a local file.
    - Rename local logout() function conflicting with system one.
      Closes: #748553
  * Disable building texinfo documentation which we were not shipping anyway.
  * Annotate test suite Build-Depends with <!nocheck>. Closes: #981261
    Thanks to Helmut Grohne <helmut@subdivi.de>.
  * Improve patch descriptions and names.
  * Disable libidn2 linking, IDN support already provided by glibc.
  * Cleanup syslog.conf formatting and comments.

 -- Guillem Jover <guillem@debian.org>  Sat, 30 Jan 2021 01:50:40 +0100

inetutils (2:1.9.4.90-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstream patches, now unneeded.
    - Update debian/upstream/signing-key.asc.
  * Use service(8) instead of invoke-rc.d(8) in inetutils-syslogd logrotate
    script, as the latter is intended to be used only in maintainer scripts.
  * Remove spurious spaces from debian/rules.

 -- Guillem Jover <guillem@debian.org>  Wed, 27 Jan 2021 01:21:38 +0100

inetutils (2:1.9.4-13) unstable; urgency=medium

  * Copy instead of moving local files to the staging directory, to fix
    building twice in a row.
  * Use single and double quotes instead of unbalanced backticks.
  * Rename lintian override tags to their new names.
  * Add patch from upstream:
    - Switch from libidn to libidn2.
  * Switch to debhelper compatibility level 13.
  * Switch to Standards-Version 4.5.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Fri, 25 Dec 2020 13:31:24 +0100

inetutils (2:1.9.4-12) unstable; urgency=medium

  * Switch to Standards-Version 4.5.0 (no changes needed).
  * Remove patches from upstream:
    - tftpd: Restore logging while chrooted. (We do not ship tftpd.)
  * Add patches from upstream:
    - Change header inclusion for ifconfig on GNU/Linux, to support musl.
    - telnetd: More work on CVE-2019-0053.
    - Various compiler warnings fixes.
    - telnet: Various off-by-one checks.
    - ftp: Fix buffer overflows.
    - ping, ping6: Fix memory leaks.
  * Add patch from Red Hat / Fedora:
    - Fix arbitrary remote code execution in telnetd via short writes or
      urgent data. Fixes CVE-2020-10188. Closes: #956084
      Thanks to Michal Ruprich <michalruprich@gmail.com>.
      Note: While the PoC exploit does not work on inetutils due to the
      different codebases, the adapted patch was close enough to apply almost
      directly, even though the information leak might appear to still remain.
  * Document inetutils-inetd IPv6 support in man page, and modify the
    default template inetd.conf to use udp6 and tcp6. Closes: #804766
  * Minor wording fixes to default templated inetd.conf.
  * Remove long obsolete netkit-inetd Provides and Conflicts from
    inetutils-inetd.
  * Document that inetutils-inetd -p option without a filename disables
    writing a pidfile. Closes: #951680
  * Disable building tftp and tftpd, which we are not shipping, and are
    causing test suite failures on kfreebsd-amd64.

 -- Guillem Jover <guillem@debian.org>  Tue, 14 Apr 2020 04:08:13 +0200

inetutils (2:1.9.4-11) unstable; urgency=medium

  * Add patches from upstream:
    - telnet: Validate supplied environment variables. CVE-2019-0053.
      Closes: #945861
    - telnet: Telnet -E(no escape) is treating _POSIX_VDISABLE char as escape.
  * Fix typo and expand sentence in inetd(8) man page. Closes: #948168

 -- Guillem Jover <guillem@debian.org>  Sun, 26 Jan 2020 02:59:42 +0100

inetutils (2:1.9.4-10) unstable; urgency=medium

  * Explicitly disable talk in the test-commands autopkgtest, because we are
    not testing it anyway, and the configure check outputs a warning that we
    cannot build it due to missing ncurses.
  * Fix test suite failure due to the tests now running in parallel, by using
    the parent directory for «libls» tests, instead of the current directory
    where other tests are generating files.
  * Refresh and serialize patches from a dedicated upstream branch.

 -- Guillem Jover <guillem@debian.org>  Thu, 15 Aug 2019 23:22:04 +0200

inetutils (2:1.9.4-9) unstable; urgency=medium

  * Add missing gettext to debian/tests/control Depends.
  * Fix grammar and mdoc syntax in recently converted local man pages.
    Thanks to Ingo Schwarze <schwarze@usta.de>.
  * Fix grammar and mdoc syntax in ifconfig(1) man page.
  * Use make variables for man page directories in debian/rules.
  * Switch to dh sequencer.

 -- Guillem Jover <guillem@debian.org>  Thu, 15 Aug 2019 04:01:06 +0200

inetutils (2:1.9.4-8) unstable; urgency=medium


