## inetutils 2.2

=== debian/changelog ===
inetutils (2:2.2-2ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: NULL dereference DoS
    - debian/patches/CVE-2022-39028.patch: fix remote DoS
      in inetutils-telnetd in telnetd/state.c.
    - CVE-2022-39028
  * SECURITY UPDATE: Privilege escalation
    - debian/patches/CVE-2023-40303.patch: check setuid, setguid return values
      in ftpd/ftpd.c, src/rpc.c, src/rlogin.c, src/rsh.c, src/rshd.c,
      src/uucpd.c.
    - CVE-2023-40303

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 15 Aug 2023 10:13:06 -0300

inetutils (2:2.2-2) unstable; urgency=medium

  * Use «command -v» instead of «which».
  * Switch from /var/run to /run.
  * Switch to declarative alternatives.
  * Add patch from upstream to fix infinite loop causing a stack exhaustion
    induced crash in telnet client due to malicious server commands.
    Closes: #945861

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Sep 2021 04:48:06 +0200

inetutils (2:2.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix inetutils-ftp security bug trusting FTP PASV responses.
      Closes: #993476

 -- Guillem Jover <guillem@debian.org>  Thu, 02 Sep 2021 07:02:33 +0200

inetutils (2:2.1-2) unstable; urgency=medium

  * Allow stderr output on autopkgtests, given that we are running configure
    which tends to output there.

 -- Guillem Jover <guillem@debian.org>  Mon, 30 Aug 2021 05:47:59 +0200

inetutils (2:2.1-1) unstable; urgency=medium

  * New upstream release. Closes: #993144
  * Stop using obsolete autoconf macros, to stop emitting warnings that
    break the autopkgtest. Closes: #993135
  * Reorder debian/control stanzas by relevance.
  * Improve package descriptions, and mention Kerberos support.

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Aug 2021 01:20:36 +0200
