## inetutils 2.3

=== debian/changelog ===
inetutils (2:2.3-5) unstable; urgency=high

  * Fix remote DoS vulnerability in inetutils-telnetd, caused by a crash by
    a NULL pointer dereference when sending the byte sequences «0xff 0xf7»
    or «0xff 0xf8». Found by Pierre Kim and Alexandre Torres. Patch
    adapted by Erik Auerswald <auerswal@unix-ag.uni-kl.de>.

 -- Guillem Jover <guillem@debian.org>  Sun, 28 Aug 2022 15:08:06 +0200

inetutils (2:2.3-4) unstable; urgency=medium

  * Set telnet and telnetd Section to oldlibs.
  * Use krb5_auth_con_getsendsubkey() instead of deprecated
    krb5_auth_con_getlocalsubkey(). Warned by the buildd log scanner.

 -- Guillem Jover <guillem@debian.org>  Wed, 10 Aug 2022 02:13:29 +0200

inetutils (2:2.3-3) unstable; urgency=medium

  * Switch from conditional dh_install invocation to use a glob to install
    the not always present ping6. This fixes a build failure on arch-indep
    only builds.

 -- Guillem Jover <guillem@debian.org>  Tue, 09 Aug 2022 14:00:02 +0200

inetutils (2:2.3-2) unstable; urgency=medium

  * Bump inetutils-telnet alternatives priority from 100 to 150, to take
    precedence over the netkit-telnet implementation, as we are now the
    default and preferred implementation in Debian.
  * Remove unnecessary -a restriction for debhelper commands.
  * Make inetutils-telnet and inetutils-telnetd the default implementations in
    Debian (Closes: #987729):
    - Bump inetutils-telnet Priority to standard.
    - Add telnet to inetutils-telnet Provides.
    - Add telnetd to inetutils-telnetd Provides.
    - Add a versioned telnetd Breaks to inetutils-telnetd.
    - Add a telnet transitional dummy package that depends on
      inetutils-telnet and removes the netkit-telnet alternative on preinst.
    - Add a telnetd transitional dummy package that depends on
      inetutils-telnetd and removes the netkit-telnetd inetd entry on preinst.
    - Set the telnet and telnetd binary package versions to
      0.17+$(DEB_VERSION_UPSTREAM_REVISION), to avoid introducing an epoch and
      leave room for a possible revert, even though the plan is to get rid of
      these packages after Debian's bookworm release.

 -- Guillem Jover <guillem@debian.org>  Tue, 09 Aug 2022 13:18:23 +0200

inetutils (2:2.3-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches merged upstream.
    - Update debian/upstream/signing-key.asc.
  * Remove libreadline6-dev | libreadline5-dev obsolete alternatives from
    Build-Depends.
  * Document group support in «user[:group]» in inetd(8) man page.
  * Update lintian overrides for renamed tag names and format.
  * Switch to Standards-Version 4.6.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Fri, 08 Jul 2022 20:59:04 +0200
