=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: inetutils
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/inetutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/inetutils.git
 Homepage: https://www.gnu.org/software/inetutils/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -19,7 +18,7 @@
  autoconf,
  automake,
  bison,
- libreadline-dev | libreadline6-dev | libreadline5-dev,
+ libreadline-dev,
  libncurses-dev,
  libpam0g-dev,
  libwrap0-dev,
@@ -147,8 +146,10 @@
  command to transfer files using the FTP protocol.
 
 Package: inetutils-telnet
-Architecture: any
-Provides:
+Priority: standard
+Architecture: any
+Provides:
+ telnet,
  telnet-client,
 Depends:
  ${misc:Depends},
@@ -160,12 +161,33 @@
  .
  This implementation supports Kerberos, for authentication and encryption.
 
+Package: telnet
+Section: oldlibs
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ inetutils-telnet,
+Description: transitional dummy package for inetutils-telnet default switch
+ This package will force a switch from the old netkit telnet implementation
+ to the inetutils-telnet one, which is an upstream maintained project.
+ .
+ This package can be safely removed once it has been upgraded, as
+ inetutils-telnet provides a matching virtual package. It will stop being
+ provided after Debian bookworm's release.
+ .
+ If you want to keep using the netkit implementation, then install
+ netkit-telnet instead.
+
 Package: inetutils-telnetd
 Architecture: any
 Provides:
+ telnetd,
  telnet-server,
 Conflicts:
  telnet-server,
+Breaks:
+ telnetd (<< 0.17-46),
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -177,6 +199,25 @@
  interactive communication protocol.
  .
  This implementation supports Kerberos, for authentication and encryption.
+
+Package: telnetd
+Section: oldlibs
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ inetutils-telnetd,
+ update-inetd,
+Description: transitional dummy package for inetutils-telnetd default switch
+ This package will force a switch from the old netkit telnetd implementation
+ to the inetutils-telnetd one, which is an upstream maintained project.
+ .
+ This package can be safely removed once it has been upgraded, as
+ inetutils-telnetd provides a matching virtual package. It will stop being
+ provided after Debian bookworm's release.
+ .
+ If you want to keep using the netkit implementation, then install
+ netkit-telnetd instead.
 
 Package: inetutils-talk
 Architecture: any
