=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	  $(confflags) \
 	  --disable-rpath \
 	  --libexecdir=\$${prefix}/sbin \
+	  --runstatedir=/run \
 	  --disable-rcp \
 	  --disable-rexec \
 	  --disable-rexecd \
@@ -63,6 +64,9 @@
 	# Move ping to /bin
 	mkdir -p $(D)/bin
 	mv $(D)/usr/bin/ping $(D)/bin/
+	if [ -x $(D)/usr/bin/ping6 ]; then \
+	  mv $(D)/usr/bin/ping6 $(D)/bin/; \
+	fi
 	
 	# Rename ifconfig to not break existing systems using net-tools
 	mv $(D)/usr/bin/ifconfig $(D)/usr/bin/inetutils-ifconfig
@@ -91,25 +95,20 @@
 	mv $(D)/usr/bin/traceroute $(D)/usr/bin/inetutils-traceroute
 	cp $(M)/traceroute.1 $(D)/$(man1dir)/inetutils-traceroute.1
 
-override_dh_install:
-	dh_install -a
-	# Install ping6 only if built
-	if [ -x $(D)/usr/bin/ping6 ]; then \
-	  dh_install -p inetutils-ping /usr/bin/ping6 /bin; \
-	fi
-
 override_dh_installdocs:
-	dh_installdocs -a -A NEWS AUTHORS THANKS
+	dh_installdocs -A NEWS AUTHORS THANKS
 
 override_dh_installpam:
 	dh_installpam -pinetutils-ftpd --name ftp
 
 override_dh_fixperms:
 	# pings and traceroute are setuid
-	dh_fixperms -a -Xbin/ping -Xbin/ping6 -Xusr/bin/inetutils-traceroute
+	dh_fixperms -Xbin/ping -Xbin/ping6 -Xusr/bin/inetutils-traceroute
 
 override_dh_gencontrol:
-	dh_gencontrol -a -pinetutils-syslogd -- \
+	dh_gencontrol -ptelnet -ptelnetd -- \
+	  -v0.17+$(DEB_VERSION_UPSTREAM_REVISION)
+	dh_gencontrol -pinetutils-syslogd -- \
 	  -Vsyslogd:Provides="$(syslogd_provides)"
-	dh_gencontrol -a -Ninetutils-syslogd -- \
+	dh_gencontrol -Ninetutils-syslogd -Ntelnet -Ntelnetd -- \
 	  -Vtools:Provides="$(tools_provides)"
