## inetutils 2.4

=== debian/changelog ===
inetutils (2:2.4-2+deb12u1) bookworm; urgency=medium

  * Add patch from upstream to check return values for set*id() functions.
    Fixes CVE-2023-40303. (Closes: #1049365)

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Aug 2023 12:01:39 +0200

inetutils (2:2.4-2) unstable; urgency=medium

  * Add support for new RFC4443 ICMPv6 destination unreachable codes.
    (Closes: #1027778)
  * Do not trim debian/changelog.
  * Update debian/patches metadata.
  * Update lintian overrides.
  * Replace Depends on lsb-base with sysvinit-utils >= 3.05-4~.
  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Remove obsolete Build-Conflicts.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Jan 2023 00:23:52 +0100

inetutils (2:2.4-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches merged upstream.
    - Update debian/upstream/signing-key.asc.

 -- Guillem Jover <guillem@debian.org>  Wed, 26 Oct 2022 00:35:29 +0200

inetutils (2:2.3-6) unstable; urgency=medium

  * Add CVE references to changelog entries and patches.
  * Place Source field next to Format in debian/copyright.
  * Improve metadata and description for old patch taken from FreeBSD.
  * Refer to telnet-ssl and telnetd-ssl instead of netkit-telnet and
    netkit-telnetd as implementation reverts, now that the latter have
    been slated for removal from Debian, as they were essentially the same
    except for the SSL/TLS support. (Closes: #1020542)
    Thanks to Bastian Germann <bage@debian.org>.

 -- Guillem Jover <guillem@debian.org>  Sat, 24 Sep 2022 21:16:43 +0200
