=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/inetutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/inetutils.git
 Homepage: https://www.gnu.org/software/inetutils/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ debhelper (>= 13.10),
 # Used by the test suite:
 #  /etc/protocols and /etc/services
  netbase <!nocheck>,
@@ -23,9 +24,6 @@
  libpam0g-dev,
  libwrap0-dev,
  libkrb5-dev,
-Build-Conflicts:
- autoconf2.13,
- automake1.4,
 
 Package: inetutils-syslogd
 Architecture: any
@@ -42,7 +40,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- lsb-base,
+ sysvinit-utils (>= 3.05-4~),
  netbase,
 Description: system logging daemon
  The syslog daemon is responsible for providing logging of messages
@@ -61,7 +59,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  inetutils-syslogd | system-log-daemon,
- lsb-base,
+ sysvinit-utils (>= 3.05-4~),
  tcpd,
  update-inetd,
 Description: internet super server
@@ -177,7 +175,7 @@
  provided after Debian bookworm's release.
  .
  If you want to keep using the netkit implementation, then install
- netkit-telnet instead.
+ telnet-ssl instead.
 
 Package: inetutils-telnetd
 Architecture: any
@@ -217,7 +215,8 @@
  provided after Debian bookworm's release.
  .
  If you want to keep using the netkit implementation, then install
- netkit-telnetd instead.
+ telnetd-ssl instead, and run in.telnetd with the «-z nossl» argument for
+ the clear-text protocol.
 
 Package: inetutils-talk
 Architecture: any
