## inetutils 2.5

=== debian/changelog ===
inetutils (2:2.5-6ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    * Do not test the inetutils-ping package:
      - d/t/test-root-commands: disable ping tests
      - d/t/control: remove inetutils-ping dependency

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 16:00:38 -0600

inetutils (2:2.5-6) unstable; urgency=medium

  * Place each command line option in debian/rules on its own line.
  * Fix man pages:
    - Lowercase titles to match their referred object.
    - Lowercase whois reference.
    - Do not markup comma in bold for option separators.
    - Do not use non-breaking space for options specification.
    - Markup option arguments in italic.
    - Markup domain names in bold.
    - Do not quote SEE ALSO.
  * Fix C23 build issues with gcc-15. (Closes: #1096837)

 -- Guillem Jover <guillem@debian.org>  Tue, 18 Feb 2025 03:18:03 +0100

inetutils (2:2.5-5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    * Do not test the inetutils-ping package.
      - d/t/test-root-commands: disable ping tests
      - d/t/control: remove inetutils-ping dependency

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 11 Jul 2024 12:23:44 -0700

inetutils (2:2.5-5) unstable; urgency=medium

  * Add a Depends on login to inetutils-telnetd, now that login switched from
    Essential:yes to Protected:yes. (Closes: #1074100)
  * Add systemd-sysv as an alternative dependency for a syslog provider.
    (Closes: #1072022, #1072023, #1072024, #1072025)
  * Switch to Standards-Version 4.7.0 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 23 Jun 2024 13:14:12 +0200

inetutils (2:2.5-4) unstable; urgency=medium

  * Move license location in Debian systems into a Comment field.
  * Regenerate gnulib files at build time:
    - Add upstream bootstrap.conf into debian/upstream/, but remove makeinfo
      and help2man from its dependencies which we have disabled in patches.
    - Add gnulib to Build-Depends.
    - Copy the gnulib build-aux/bootstrap file during build.
    - Override dh_autoreconf and call bootstrap with no network access and in
      copy and force mode.

 -- Guillem Jover <guillem@debian.org>  Thu, 02 May 2024 19:54:11 +0200

inetutils (2:2.5-3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:08:22 +0000

inetutils (2:2.5-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libcom-err2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 20:33:04 +0000

inetutils (2:2.5-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libcomerr2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:47:18 +0000

inetutils (2:2.5-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2054684). Remaining changes:
    * Do not test the inetutils-ping package (LP: #2009814)
      - d/t/test-root-commands: disable ping tests
      - d/t/control: remove inetutils-ping dependency

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 22 Feb 2024 17:18:41 +0200

inetutils (2:2.5-3) unstable; urgency=medium

  * Take DPKG_ROOT into account in maintainer scripts.

 -- Guillem Jover <guillem@debian.org>  Tue, 16 Jan 2024 04:48:45 +0100

inetutils (2:2.5-2) experimental; urgency=medium

  * Move ping programs to their canonical location under /usr, and setup
    backward compatibility symlinks if necessary.

 -- Guillem Jover <guillem@debian.org>  Sun, 07 Jan 2024 04:07:07 +0100

inetutils (2:2.5-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches merged upstream.
    - Update debian/upstream/signing-key.asc.

 -- Guillem Jover <guillem@debian.org>  Fri, 29 Dec 2023 20:08:36 +0100

inetutils (2:2.4-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2046259). Remaining changes:
    * Do not test the inetutils-ping package (LP: #2009814)
      - d/t/test-root-commands: disable ping tests
      - d/t/control: remove inetutils-ping dependency
    * Droped d/p/CVE-2023-40303.patch as 2:2.4-3 already carries this patch as
      d/p/upstream/0002-ftpd-rcp-rlogin-rsh-rshd-uucpd-fix-check-set-id-retu.patch

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Tue, 12 Dec 2023 23:49:39 +0200

inetutils (2:2.4-3) unstable; urgency=medium

  * Remove support for Linux devfs from syslogd init script.
  * Use "$()" instead of `` in syslogd init script.
  * Register inetutils-ftpd with inetd.
  * Add new --foreground option to inetutils-inetd.
  * Add a mention to /etc/ftpchroot in ftpd(8).
  * Add new /etc/ftpusers and /etc/ftpchroot in inetutils-ftpd package.
  * Add systemd service files for inetutils-syslogd and inetutils-inetd,
    and a systemd tmpfiles for /dev/xconsole. (Closes: #1030079)
  * Reorganize patch queue and move metadata into the commit trailer.
  * Add patch from upstream to check return values for set*id() functions.
    Fixes CVE-2023-40303. (Closes: #1049365)

 -- Guillem Jover <guillem@debian.org>  Sun, 20 Aug 2023 15:38:46 +0200

inetutils (2:2.4-2ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: Privilege escalation
    - debian/patches/CVE-2023-40303.patch: check setuid, setguid return values
      in ftpd/ftpd.c, src/rpc.c, src/rlogin.c, src/rsh.c, src/rshd.c,
      src/uucpd.c.
    - CVE-2023-40303

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 13 Sep 2023 13:52:04 -0300

inetutils (2:2.4-2ubuntu1) lunar; urgency=medium

  * Do not test the inetutils-ping package (LP: #2009814)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 23 Mar 2023 11:32:35 +0200
