=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: inetutils
 Section: net
 Priority: optional
-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/inetutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/inetutils.git
 Homepage: https://www.gnu.org/software/inetutils/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -19,6 +20,7 @@
  autoconf,
  automake,
  bison,
+ gnulib,
  libreadline-dev,
  libncurses-dev,
  libpam0g-dev,
@@ -58,7 +60,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- inetutils-syslogd | system-log-daemon,
+ inetutils-syslogd | system-log-daemon | systemd-sysv,
  sysvinit-utils (>= 3.05-4~),
  tcpd,
  update-inetd,
@@ -137,7 +139,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- inetutils-syslogd | system-log-daemon,
+ inetutils-inetd | inet-superserver,
+ inetutils-syslogd | system-log-daemon | systemd-sysv,
  netbase,
 Description: File Transfer Protocol server
  Ftpd is the server that allows another host to connect with the ftp
@@ -190,7 +193,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
  inetutils-inetd | inet-superserver,
- inetutils-syslogd | system-log-daemon,
+ inetutils-syslogd | system-log-daemon | systemd-sysv,
+ login,
  netbase,
 Description: telnet server
  The telnetd program is a server which supports the DARPA telnet
@@ -240,7 +244,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  inetutils-inetd | inet-superserver,
- inetutils-syslogd | system-log-daemon,
+ inetutils-syslogd | system-log-daemon | systemd-sysv,
  netbase,
 Description: remote user communication server
  The talkd program is a server that notifies a user that someone else
