=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,17 @@
 override_dh_auto_clean:
 	[ ! -f Makefile ] || dh_auto_clean
 
+override_dh_autoreconf:
+	cp /usr/share/gnulib/build-aux/bootstrap .
+	cp debian/upstream/bootstrap.conf .
+	dh_autoreconf ./bootstrap -- \
+	  --gnulib-srcdir=/usr/share/gnulib \
+	  --no-git \
+	  --skip-po \
+	  --copy \
+	  --force \
+	  # EOL
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	  $(confflags) \
@@ -51,7 +62,8 @@
 	  --with-path-login=/bin/login \
 	  --with-krb5 \
 	  --with-wrap \
-	  --with-pam
+	  --with-pam \
+	  # EOL
 
 override_dh_auto_install:
 	dh_auto_install -- SUIDMODE=$(SUIDMODE)
@@ -60,13 +72,6 @@
 	mkdir -p $(D)/$(man1dir)
 	mkdir -p $(D)/$(man5dir)
 	mkdir -p $(D)/$(man8dir)
-	
-	# Move ping to /bin
-	mkdir -p $(D)/bin
-	mv $(D)/usr/bin/ping $(D)/bin/
-	if [ -x $(D)/usr/bin/ping6 ]; then \
-	  mv $(D)/usr/bin/ping6 $(D)/bin/; \
-	fi
 	
 	# Rename ifconfig to not break existing systems using net-tools
 	mv $(D)/usr/bin/ifconfig $(D)/usr/bin/inetutils-ifconfig
@@ -106,7 +111,11 @@
 
 override_dh_fixperms:
 	# pings and traceroute are setuid
-	dh_fixperms -Xbin/ping -Xbin/ping6 -Xusr/bin/inetutils-traceroute
+	dh_fixperms \
+	  -Xusr/bin/ping \
+	  -Xusr/bin/ping6 \
+	  -Xusr/bin/inetutils-traceroute \
+	  # EOL
 
 override_dh_gencontrol:
 	dh_gencontrol -ptelnet -ptelnetd -- \
