## inetutils 2.6

=== debian/changelog ===
inetutils (2:2.6-1ubuntu3) questing; urgency=medium

  * Remove 'ls -f' test to prevent FTBFS (LP: #2122271)

 -- Valentin Haudiquet <valentin.haudiquet@canonical.com>  Thu, 11 Sep 2025 14:11:00 +0200

inetutils (2:2.6-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 15:12:29 +0000

inetutils (2:2.6-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111371). Remaining changes:
    * Do not test the inetutils-ping package (LP #2009814)
      - d/t/test-root-commands: disable ping tests
      - d/t/control: remove inetutils-ping dependency

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 20 May 2025 15:21:28 -0700

inetutils (2:2.6-1) unstable; urgency=medium

  * New upstream release.
    - Update debian/upstream/signing-key.asc.
    - Update copyright years.
    - Remove 0006-Fix-C23-build-issues.patch, fixed upstream.
    - Update 0001-build-Disable-GFDL-info-files-and-useless-man-pages.patch
      to remove makeinfo and help2man dependencies from bootstrap.conf.
    - Refresh patches.
    - Remove debian/upstream/bootstrap.conf, now in upstream tarball.
    - Do not copy bootstrap script from gnulib, now in upstream tarball.
    - Stop cleaning bootstrap and bootstrap.conf in debian/clean.
  * Switch to Standards-Version 4.7.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 22 Feb 2025 00:43:32 +0100
