=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,6 @@
 	[ ! -f Makefile ] || dh_auto_clean
 
 override_dh_autoreconf:
-	cp /usr/share/gnulib/build-aux/bootstrap .
-	cp debian/upstream/bootstrap.conf .
 	dh_autoreconf ./bootstrap -- \
 	  --gnulib-srcdir=/usr/share/gnulib \
 	  --no-git \
