=== debian/tests/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
  net-tools,
  inetutils-ftp,
  inetutils-ftpd,
- inetutils-ping,
  inetutils-traceroute,
 Restrictions:
  allow-stderr
