## inetutils 2.7

=== debian/changelog ===
inetutils (2:2.7-3) unstable; urgency=high

  * Prevent privilege escalation via telnetd abusing systemd service
    credentials support added to the login(1) implementation of util-linux in
    release 2.40. Reported by Ron Ben Yizhak <ron.benyizhak@safebreach.com>.
  * Remove unused lintian override very-long-line-length-in-source-file.

 -- Guillem Jover <guillem@debian.org>  Mon, 16 Feb 2026 13:57:00 +0100

inetutils (2:2.7-2) unstable; urgency=high

  * Fix remote authentication by-pass in telnetd.
    GNU InetUtils Security Advisory:
    <https://lists.gnu.org/archive/html/bug-inetutils/2026-01/msg00004.html>
    Fixes CVE-2026-24061. (Closes: #1126047)
  * Switch to Standards-Version 4.7.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 20 Jan 2026 15:53:22 +0100

inetutils (2:2.7-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Switch to debian/watch version 5.

 -- Guillem Jover <guillem@debian.org>  Wed, 17 Dec 2025 03:53:07 +0100

inetutils (2:2.6-4) unstable; urgency=medium

  * Use URL instead of FSF postal address for GPL in debian/copyright.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.
  * Switch to Standards-Version 4.7.2 (no changes needed).
  * Add Builde-Depends on libcrypt-dev. (Closes: #1106935)
  * Refresh debian/upstream/signing-key.asc (update expiry dates).

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Aug 2025 00:25:19 +0200

inetutils (2:2.6-3) unstable; urgency=medium

  * Make libsystemd-dev support linux-any specific.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2025 16:59:29 +0200

inetutils (2:2.6-2) unstable; urgency=medium

  * Enable libsystemd support to restore utmp functionality in
    syslogd and talkd, on systems running systemd.
  * Remove bogus test for unsorted file listing, causing indeterministic
    build failures on some systems.

 -- Guillem Jover <guillem@debian.org>  Fri, 20 Jun 2025 03:39:26 +0200
