=== debian/control ===
--- 
+++ 
@@ -1,13 +1,10 @@
 Source: inetutils
 Section: net
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/inetutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/inetutils.git
 Homepage: https://www.gnu.org/software/inetutils/
-Standards-Version: 4.7.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  debhelper (>= 13.10),
@@ -21,10 +18,12 @@
  automake,
  bison,
  gnulib,
+ libsystemd-dev [linux-any],
  libreadline-dev,
  libncurses-dev,
  libpam0g-dev,
  libwrap0-dev,
+ libcrypt-dev,
  libkrb5-dev,
 
 Package: inetutils-syslogd
